## org.apache.fop.svg
Class SVGTransform

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.svg.SVGTransform

public class SVGTransform
extends Property

Inner Class Summary
`static class` `SVGTransform.Maker` inner class for making SVG Length objects.

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Field Summary
`protected TransformData` `trans`

Constructor Summary
`protected` `SVGTransform(PropertyList propertyList, TransformData explicitValue)`

Method Summary
`org.w3c.dom.svg.SVGAnimatedTransformList` `getTransform()`
`static Property.Maker` `maker(java.lang.String propName)` returns the maker for this object.

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNCname, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trans

    protected TransformData trans

Constructor Detail

### SVGTransform

    protected SVGTransform(PropertyList propertyList,
                           TransformData explicitValue)

  Parameters:
    `propertyList` - the property list this is a member of
    `explicitValue` - the explicit value as a Length object

Method Detail

### maker

    public static Property.Maker maker(java.lang.String propName)

  returns the maker for this object.
  Returns:
    the maker for SVG Length objects

### getTransform

    public org.w3c.dom.svg.SVGAnimatedTransformList getTransform()

  Returns:
    the length as a Length object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.